<?php
if($this->session->userdata('is_logged_in')===FALSE){
			redirect('login');
}

foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

$url = base_url("resources/template/akta/perdata_tun/".$filename.".rtf");
$Template = file_get_contents($url);
//=============================================roby======================================================
$perkara = $dataTemplate;
foreach ($perkara->result() as $perkara) {
			$nomorPerkara = $perkara->nomor_perkara;
			$no = explode("/",$perkara->nomor_perkara);
			$nomor = $no[0];
			$kodePerkara = $no[1];
			$tahunPerkara = $no[2];
			$kodePN = $no[3];
			$nomorPermohonan = $nomor."/Akta ".$kodePerkara."/".$tahunPerkara."/".$kodePN;
			$namaPihak = $this->templatehelper->standradnaming($perkara->namaPihak);
			$alamatPihak = $this->templatehelper->standradnaming($perkara->alamatPihak);
			$agamaPihak = $perkara->agamaPihak;
			$pekerjaanPihak = $this->templatehelper->standradnaming($perkara->pekerjaanPihak);
			$pendidikanPihak = $perkara->pendidikanPihak;
			$negaraPihak = $perkara->negaraPihak;
			$kelaminPihak = $perkara->kelaminPihak;
			$umurPihak = $this->tanggalhelper->getSelisihTahun($perkara->tanggalLahirPihak,date('Y-m-d'));
			$tempatLahirPihak = $perkara->tempatLahirPihak;
			$tanggalLahirPihak = $this->templatehelper->convertKeTglIndo($perkara->tanggalLahirPihak);
			$namaPN = $this->templatehelper->standradnaming($perkara->namaPengadilan);
			$namaPanitera = $this->templatehelper->standradnaming($perkara->pw);
			// $tahapan = $this->templatehelper->standradnaming($perkara->Tahapan);
			// $noPerkaraTahapan = $this->templatehelper->standradnaming($perkara->nomorPerkaraTahapan);
			// $tglPutusTahapan = $this->templatehelper->convertKeTglIndo($perkara->putusan);
			// $amarPutusTahapan = $perkara->amarPutusTahapan;
			$statusPanitera = $this->templatehelper->standradnaming($perkara->pejabat);
			$tglpermohonan_kasasi = $this->templatehelper->convertKeTglIndo($perkara->permohonan_kasasi);
			$hariPermohonanKasasi = $this->templatehelper->getHari($perkara->permohonan_kasasi);
			// $tanggalSuratKuasa = $perkara->tanggalSuratKuasa;
 }

 	if(empty($nomorPermohonan)){ $nomorPermohonan = '........'; }
	if(empty($namaPN)){ $namaPN = '........'; }
	if(empty($namaPanitera)){ $namaPanitera = '........'; }
	if(empty($tahapan)){ $tahapan = '........'; }
	if(empty($noPerkaraTahapan)){ $noPerkaraTahapan = '........'; }
	if(empty($tglPutusTahapan)){ $tglPutusTahapan = '........'; }
	if(empty($statusPanitera)){ $statusPanitera = '........'; }
	if(empty($tglpermohonan_pk)){ $tglpermohonan_pk = '........'; }
	if(empty($namaPihak)){ $namaPihak = '........'; }
	if(empty($pekerjaanPihak)){ $pekerjaanPihak = '........'; }
	if(empty($alamatPihak)){ $alamatPihak = '........'; }
	if(empty($noPerkaraTahapan)){ $noPerkaraTahapan = '........'; }
	if(empty($tglPutusTahapan)){ $tglPutusTahapan = '........'; }
	if(empty($tglpermohonan_kasasi)){ $tglpermohonan_kasasi = '........'; }
	if(empty($hariPermohonanKasasi)){ $hariPermohonanKasasi = '........'; }
	if(empty($amarPutusTahapan)){ $amarPutusTahapan = '....................'; }


//==============================================================================//
#Insert Into Dokumen#
$Template = str_replace('#nomorpermohonan#',''.$nomorPermohonan.'',$Template);
$Template = str_replace('#namapanitera#',''.$namaPanitera.'',$Template);
$Template = str_replace('#namapn#',''.$namaPN.'',$Template);
$Template = str_replace('#namapihak#',''.$namaPihak.'',$Template);
//$Template = str_replace('#tempatlahirpihak#',''.$tempatLahirPihak.'',$Template);
//$Template = str_replace('#umurpihak#',''.$umurPihak.'',$Template);
//$Template = str_replace('#tanggallahirpihak#',''.$tanggalLahirPihak.'',$Template);
//$Template = str_replace('#kelaminpihak#',''.$kelaminPihak.'',$Template);
//$Template = str_replace('#negarapihak#',''.$negaraPihak.'',$Template);
$Template = str_replace('#alamatpihak#',''.$alamatPihak.'',$Template);
//$Template = str_replace('#agamapihak#',''.$agamaPihak.'',$Template);
$Template = str_replace('#pekerjaanpihak#',''.$pekerjaanPihak.'',$Template);
$Template = str_replace('#jenisputusan#',''.$tahapan.'',$Template);
$Template = str_replace('#nomorputusan#',''.$noPerkaraTahapan.'',$Template);
$Template = str_replace('#tanggalpermohonan#',''.$tglpermohonan_kasasi.'',$Template);
$Template = str_replace('#tanggalputusan#',''.$tglPutusTahapan.'',$Template);
//$Template = str_replace('#statuspanitera#',''.$statusPanitera.'',$Template);
$Template = str_replace('#tanggalkasasi#',''.$tglpermohonan_kasasi.'',$Template);
$Template = str_replace('#harikasasi#',''.$hariPermohonanKasasi.'',$Template);
//$Template = str_replace('#tanggalSuratKuasa#',''.$tanggalSuratKuasa.'',$Template);
//$Template = str_replace('#amarPutusTahapan#',''.$amarPutusTahapan.'',$Template);



// $infoPenggugat='';
// 	$jmlPihak1=$datapihakpenggugat->num_rows;
// 	$i=0;
// 	if (!empty($datapihakpenggugat)) {
// 		foreach ($datapihakpenggugat->result() as $row) {
// 			$infoPenggugat .= $this->templatehelper->standradnaming($row->nama).' Warga negara Indonesia, pekerjaan '.$row->pekerjaan;
// 			$infoPenggugat .= ', Tempat tinggal di '.$row->alamat;
// 			$infoPenggugat .= ', untuk selanjutnya disebut sebagai Penggugat '.$jmlPihak1>1?$this->templatehelper->converToAngkaRomawi($row->urutan):'';
// 		}
// 	}
// 	$Template = str_replace('#infoPenggugat#',''.$infoPenggugat.'',$Template);
// 	if(empty($infoPenggugat)){ $infoPenggugat = '....................'; }

// 	$infoTergugat='';
// 	$jmlPihak2=$datapihaktergugat->num_rows;
// 	$i=0;
// 	if (!empty($datapihaktergugat)) {
// 		foreach ($datapihaktergugat->result() as $row) {
// 			$infoTergugat .= $this->templatehelper->standradnaming($row->nama).' Warga negara Indonesia, pekerjaan '.$row->pekerjaan;
// 			$infoTergugat .= ', Tempat tinggal di '.$row->alamat;
// 			$infoTergugat .= ', untuk selanjutnya disebut sebagai Tergugat '.$jmlPihak2>1?$this->templatehelper->converToAngkaRomawi($row->urutan):'';
// 		}
// 	}
// 	$Template = str_replace('#infoTergugat#',''.$infoTergugat.'',$Template);
// 	if(empty($infoTergugat)){ $infoTergugat = '....................'; }



header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$namafile."-".$nomorPerkara.".rtf\"");
echo $Template;
?>